SoLinePatternElement(3)

NAME
SoLinePatternElement - The SoLinePatternElement class defines the line stipple pattern.

SYNOPSIS

#include <Inventor/elements/SoLinePatternElement.h>

Inherits SoInt32Element.

Inherited by SoGLLinePatternElement.

  Public Types
enum Patterns { CONTINUOUS = 0xFFFF }

  Public Member Functions
virtual void init (SoState *state)

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const int32_t pattern, const int32_t factor=1)
static void set (SoState *const state, const int32_t pattern, const int32_t factor=1)
static int32_t get (SoState *const state)
static int32_t getDefault ()
static int32_t getScaleFactor (SoState *const state)
static int32_t getDefaultScaleFactor ()

  Protected Member Functions
virtual ~SoLinePatternElement ()

  Additional Inherited Members

Detailed Description

The SoLinePatternElement class defines the line stipple pattern. Line stippling is used to mask out fragments of a line.

Constructor & Destructor Documentation

  SoLinePatternElement::~SoLinePatternElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoLinePatternElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoLinePatternElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoLinePatternElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoLinePatternElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoLinePatternElement::init (SoState * state) [virtual]
Initializes element in state to default value.

Reimplemented from SoInt32Element.

Reimplemented in SoGLLinePatternElement.

  void SoLinePatternElement::set (SoState *const state, SoNode *const node, const int32_t pattern, const int32_t factor = 1) [static]
Sets the given pattern in the state.

  void SoLinePatternElement::set (SoState *const state, const int32_t pattern, const int32_t factor = 1) [static]
Sets the given pattern in the state.

  int32_t SoLinePatternElement::get (SoState *const state) [static]
Returns line stipple pattern from state.

  int32_t SoLinePatternElement::getDefault (void) [static]
Returns default line stipple pattern.

  int32_t SoLinePatternElement::getScaleFactor (SoState *const state) [static]
Returns line stipple pattern scale factor from state.

  int32_t SoLinePatternElement::getDefaultScaleFactor () [static]
Returns default line stipple pattern scale factor.

Author

Generated automatically by Doxygen for Coin from the source code.